org.gradle.nativebinaries.platform

## Interface Platform

- All Superinterfaces:
    Named

      @Incubating
      public interface Platform
      extends Named

  A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific `Architecture` and/or `OperatingSystem` to target.

           model {
               platforms {
                   windows_x86 {
                       architecture "i386"
                       operatingSystem "windows"
                   }
               }
           }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `architecture(Object notation)` Sets the cpu architecture being targeted.
    `Architecture` | `getArchitecture()` The cpu architecture being targeted.
    `String` | `getDisplayName()` Returns a human-consumable display name for this platform.
    `OperatingSystem` | `getOperatingSystem()` The operating system being targeted.
    `void` | `operatingSystem(Object notation)` Sets the operating system being targeted.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this platform.

    - #### getArchitecture

          Architecture getArchitecture()

      The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.

    - #### architecture

          void architecture(Object notation)

      Sets the cpu architecture being targeted. The architecture is provided as a string name, which is translated into one of the supported architecture types.

      Instruction Set | 32-bit names | 64-bit names
      --- | --- | ---
      Intel x86 | "x86", "i386", "ia-32" | "x86_64", "amd64", "x64", "x86-64"
      Intel Itanium |  | "ia-64"
      Power PC | "ppc" | "ppc64"
      Sparc | "sparc", "sparc32", "sparc-v7", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
      ARM | "arm" |

    - #### getOperatingSystem

          OperatingSystem getOperatingSystem()

      The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).

    - #### operatingSystem

          void operatingSystem(Object notation)

      Sets the operating system being targeted. The operating system is provided as a string name, which is translated into one of the supported operating system types.

      Operating System | Aliases
      --- | ---
      Windows | "windows"
      GNU/Linux | "linux"
      Mac OS X | "osx", "mac os x", "darwin"
      Solaris | "solaris", "sunos"